Bug 444019 - Review Request: perl-PHP-Serialization - Converts between PHP's serialize() output and the equivalent Perl structure
Review Request: perl-PHP-Serialization - Converts between PHP's serialize() o...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-24 12:15 EDT by Jason Tibbitts
Modified: 2008-08-09 16:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-09 16:21:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rjones: fedora‑review+
tibbs: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Jason Tibbitts 2008-04-24 12:15:43 EDT
Spec URL: http://www.math.uh.edu/~tibbs/rpms/perl-PHP-Serialization/perl-PHP-Serialization.spec
  Provides a simple, quick means of serializing perl memory structures
  (including object data!) into a format that PHP can deserialize() and
  access, and vice versa.

Builds fine in rawhide, all tests pass and rpmlint is silent.
Comment 1 Richard W.M. Jones 2008-05-12 05:06:36 EDT
+ rpmlint output

  (no rpmlint output)

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license
+ %doc includes license file
  (yes, in README)
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  yes: 2fb3f63071c5c2119b4eebe39b329684
+ package successfully builds on at least one architecture
n/a ExcludeArch bugs filed
+ BuildRequires list all build dependencies
  yes, built in Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=604366
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun
n/a does not use Prefix: /usr
+ package owns all directories it creates
+ no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a -devel must require the fully versioned base
n/a packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8


n/a if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if available
+ reviewer should build the package in mock
  (built in Koji)
+ the package should build into binary RPMs on all supported architectures
- review should test the package functions as described
n/a scriptlets should be sane
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or /usr/sbin


No problems at all so APPROVED.
Comment 2 Jason Tibbitts 2008-05-28 15:42:49 EDT
Somehow I managed to miss this, because it's still in the NEW state, but it's
taken care of now, thanks.

I did my own CVS.
Comment 3 Martin Ebourne 2008-07-21 17:57:52 EDT
This is in rawhide - presumably you can close it now?

Note You need to log in before you can comment on or make changes to this bug.